sqlitexx: sqlite3xx::result::tuple Class Reference

sqlitexx 0.0.1

Public Types | Public Member Functions | Protected Member Functions
sqlite3xx::result::tuple Class Reference

`#include <result.hpp>`

Inheritance diagram for sqlite3xx::result::tuple:
[legend]

## Public Types
typedef unsigned int | size_type

## Public Member Functions
| tuple (const result *r, size_type i)
| ~tuple ()
size_type | size () const
field | operator[] (size_type i) const
field | operator[] (int i) const
field | operator[] (string s) const
int | column_type (size_type i) const
int | GetValueInt (size_type i) const
const unsigned char * | GetValueText (size_type i) const
double | GetValueDouble (size_type i) const
size_type | rownumber () const throw ( )

## Protected Member Functions
| tuple ()

## Member Typedef Documentation

## ◆ size_type

typedef unsigned int sqlite3xx::result::tuple::size_type

## Constructor & Destructor Documentation

## ◆ tuple() [1/2]

sqlite3xx::result::tuple::tuple | ( | const result * | r,
|  | size_type | i
| ) |  |
| inline

## ◆ ~tuple()

sqlite3xx::result::tuple::~tuple | ( |  | ) |
| inline

## ◆ tuple() [2/2]

sqlite3xx::result::tuple::tuple | ( |  | ) |
| protected

## Member Function Documentation

## ◆ column_type()

int sqlite3xx::result::tuple::column_type | ( | size_type | i | ) | const
| inline

## ◆ GetValueDouble()

double sqlite3xx::result::tuple::GetValueDouble | ( | size_type | i | ) | const
| inline

## ◆ GetValueInt()

int sqlite3xx::result::tuple::GetValueInt | ( | size_type | i | ) | const
| inline

## ◆ GetValueText()

const unsigned char * sqlite3xx::result::tuple::GetValueText | ( | size_type | i | ) | const
| inline

## ◆ operator[]() [1/3]

field sqlite3xx::result::tuple::operator[] | ( | int | i | ) | const
| inline

## ◆ operator[]() [2/3]

field sqlite3xx::result::tuple::operator[] | ( | size_type | i | ) | const
| inline

## ◆ operator[]() [3/3]

field sqlite3xx::result::tuple::operator[] | ( | string | s | ) | const
| inline

## ◆ rownumber()

size_type sqlite3xx::result::tuple::rownumber | ( |  | ) | const
throw | ( |
| ) |  |
| inline

## ◆ size()

size_type sqlite3xx::result::tuple::size | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- result.hpp